# Interface methods for submodule: GradientVectorFlowImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: GradientVectorFlowImageFilter
class GradientVectorFlowImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetLaplacianFilter(self, _arg) -> None:
		""""""
		...

	def GetModifiableLaplacianFilter(self):
		""""""
		...

	def GetLaplacianFilter(self):
		""""""
		...

	def SetTimeStep(self, _arg: float) -> None:
		""""""
		...

	def GetTimeStep(self) -> float:
		""""""
		...

	def SetNoiseLevel(self, _arg: float) -> None:
		""""""
		...

	def GetNoiseLevel(self) -> float:
		""""""
		...

	def SetIterationNum(self, _arg: int) -> None:
		""""""
		...

	def GetIterationNum(self) -> int:
		""""""
		...

